Astropluse - ATI Open CL - everyone results in computation error.

Message boards : Number crunching : Astropluse - ATI Open CL - everyone results in computation error.

To post messages, you must log in.

1 · 2 · Next

AuthorMessage
Sean Glasspool
Avatar

Send message
Joined: 23 May 99
Posts: 7
Credit: 10,411,562
RAC: 0
New Zealand
Message 1353571 - Posted: 5 Apr 2013, 7:38:17 UTC

Hi All,

Not sure what is going on here. All my Open CL WUs are failing straight away with Computation errors.

They used to work OK. Radeon HD7890/2GB with latest Catalyst drivers.

Event logs don't seem to give up information. Anywhere else I can look to diagnose this one?


ID: 1353571 · Report as offensive
Profile Raistmer
Volunteer developer
Volunteer tester
Avatar

Send message
Joined: 16 Jun 01
Posts: 5419
Credit: 66,354,989
RAC: 12,760
Russia
Message 1353582 - Posted: 5 Apr 2013, 8:13:18 UTC - in response to Message 1353571.
Last modified: 5 Apr 2013, 8:13:28 UTC

Error : Building Program (source, clBuildProgram):main kernels: not OK code -11
Internal error: Compilation failed.

Your last driver upgrade was bad move.
SETI apps news
We're not gonna fight them. We're gonna transcend them.

ID: 1353582 · Report as offensive
Profile Mike
Volunteer tester
Avatar

Send message
Joined: 17 Feb 01
Posts: 29568
Credit: 49,043,699
RAC: 16,695
Germany
Message 1353596 - Posted: 5 Apr 2013, 9:43:49 UTC

You are running beta drivers with broken OpenCL compiler.


With each crime and every kindness we birth our future.

ID: 1353596 · Report as offensive
Sean Glasspool
Avatar

Send message
Joined: 23 May 99
Posts: 7
Credit: 10,411,562
RAC: 0
New Zealand
Message 1353675 - Posted: 5 Apr 2013, 15:01:09 UTC
Last modified: 5 Apr 2013, 15:21:37 UTC

They were beta drivers, and I moved them back to latest stable. Interestingly then the OpenCL bit doesn't get downgraded. I might uninstall them and try again. thanks for the heads up. I had a suspicion it might have been that.


ID: 1353675 · Report as offensive
Profile Mike
Volunteer tester
Avatar

Send message
Joined: 17 Feb 01
Posts: 29568
Credit: 49,043,699
RAC: 16,695
Germany
Message 1353684 - Posted: 5 Apr 2013, 15:19:09 UTC - in response to Message 1353675.

They were beta drivers, and I moved them back to latest stable. Interestingly then the OpenCL bit doesn't get downgraded. I might install them and try again. thanks for the heads up. I had a suspicion it might have been that.



With each crime and every kindness we birth our future.

ID: 1353684 · Report as offensive
Sean Glasspool
Avatar

Send message
Joined: 23 May 99
Posts: 7
Credit: 10,411,562
RAC: 0
New Zealand
Message 1353689 - Posted: 5 Apr 2013, 15:22:39 UTC - in response to Message 1353684.

Great stuff, thanks for the help.


ID: 1353689 · Report as offensive
Sean Glasspool
Avatar

Send message
Joined: 23 May 99
Posts: 7
Credit: 10,411,562
RAC: 0
New Zealand
Message 1353873 - Posted: 5 Apr 2013, 21:49:26 UTC - in response to Message 1353684.

All fixed now. Phew.....

thanks again.


ID: 1353873 · Report as offensive
Profile ProTON
Avatar

Send message
Joined: 17 Aug 02
Posts: 7
Credit: 4,601,416
RAC: 5,699
Lithuania
Message 1365703 - Posted: 8 May 2013, 10:24:54 UTC
Last modified: 8 May 2013, 10:25:55 UTC

I have the same problem. However I'm running latest drivers from hp.com for my HP-custom AMD Radeon card. Any suggestions?

P.S. drivers from amd.com doesn't fit for my card.

ID: 1365703 · Report as offensive
Profile Mike
Volunteer tester
Avatar

Send message
Joined: 17 Feb 01
Posts: 29568
Credit: 49,043,699
RAC: 16,695
Germany
Message 1365716 - Posted: 8 May 2013, 11:12:14 UTC

You need driver 12.8 or try to install latest app via anonymous plattform.


With each crime and every kindness we birth our future.

ID: 1365716 · Report as offensive
Sean Glasspool
Avatar

Send message
Joined: 23 May 99
Posts: 7
Credit: 10,411,562
RAC: 0
New Zealand
Message 1365719 - Posted: 8 May 2013, 11:19:47 UTC - in response to Message 1365703.

The latest catalyst drives work fine. I'm surprised they don't suit your card. what model is it?


ID: 1365719 · Report as offensive
ClaggyProject Donor
Volunteer tester

Send message
Joined: 5 Jul 99
Posts: 4622
Credit: 46,337,693
RAC: 2,713
United Kingdom
Message 1365724 - Posted: 8 May 2013, 11:36:05 UTC - in response to Message 1365719.

The latest catalyst drives work fine. I'm surprised they don't suit your card. what model is it?

Depends which driver you do the compilations under, If you do them under an earlier driver/APP runtime then the Stock r1316 app will run on Cat 13.2 and later/APP runtime 1124.2 no problem,
If you try and do the compilations on Cat 13.2 and later/APP runtime 1124.2 you'll get the following error:

INFO: can't open binary kernel file: C:\ProgramData\BOINC/projects/setiathome.berkeley.edu\AstroPulse_Kernels_r1316.cl_Caicos.bin_V6, continue with recompile...
Error : Building Program (source, clBuildProgram):main kernels: not OK code -11
Internal error: Compilation failed.

This problem has been fixed for AP and MB at r1812, hopefully a later AP app will make it into Beta testing this week.

Claggy

ID: 1365724 · Report as offensive
ClaggyProject Donor
Volunteer tester

Send message
Joined: 5 Jul 99
Posts: 4622
Credit: 46,337,693
RAC: 2,713
United Kingdom
Message 1365838 - Posted: 8 May 2013, 19:53:04 UTC - in response to Message 1365724.

An updated AMD/ATI Astropulse app has gone into Beta testing today.

Claggy

ID: 1365838 · Report as offensive
Wedge009
Volunteer tester
Avatar

Send message
Joined: 3 Apr 99
Posts: 448
Credit: 241,595,910
RAC: 97,505
Australia
Message 1365867 - Posted: 8 May 2013, 21:54:10 UTC

I've had quite a few errors (well, more than usual, anyway, but still less than ten at a time) since moving AP r1812 recently... no driver or hardware change and I'm heading towards winter so overheating shouldn't be an issue. I'm hoping it's just a transient thing - I notice that heavily blanked AP WUs seem to be getting sent in the last few days as well, although the tasks resulting in error seem to have low blanking percentages.


Soli Deo Gloria

ID: 1365867 · Report as offensive
Profile Mike
Volunteer tester
Avatar

Send message
Joined: 17 Feb 01
Posts: 29568
Credit: 49,043,699
RAC: 16,695
Germany
Message 1365874 - Posted: 8 May 2013, 22:22:07 UTC - in response to Message 1365867.

I've had quite a few errors (well, more than usual, anyway, but still less than ten at a time) since moving AP r1812 recently... no driver or hardware change and I'm heading towards winter so overheating shouldn't be an issue. I'm hoping it's just a transient thing - I notice that heavily blanked AP WUs seem to be getting sent in the last few days as well, although the tasks resulting in error seem to have low blanking percentages.


I`m wondering it works at all on this host running Cat 11.2.
If i`m not mistaken SDK 2.5 is required.
Cat 11.2 is SDK 2.3.

With each crime and every kindness we birth our future.

ID: 1365874 · Report as offensive
Wedge009
Volunteer tester
Avatar

Send message
Joined: 3 Apr 99
Posts: 448
Credit: 241,595,910
RAC: 97,505
Australia
Message 1365876 - Posted: 8 May 2013, 22:26:08 UTC

It's a mish-mash of 11.2 and 11.7 DLLs. It's the only way I've got HD 6950/6970 running reliably on Windows XP. I doubt drivers are the issue, I was just noting an increase in errors since moving to r1812. As I said, I'm hoping it's just coincidence.


Soli Deo Gloria

ID: 1365876 · Report as offensive
Profile Mike
Volunteer tester
Avatar

Send message
Joined: 17 Feb 01
Posts: 29568
Credit: 49,043,699
RAC: 16,695
Germany
Message 1365878 - Posted: 8 May 2013, 22:31:00 UTC - in response to Message 1365876.

It's a mish-mash of 11.2 and 11.7 DLLs. It's the only way I've got HD 6950/6970 running reliably on Windows XP. I doubt drivers are the issue, I was just noting an increase in errors since moving to r1812. As I said, I'm hoping it's just coincidence.


Like i said SDK 2.5 is required for r1812.
You are lucky it works.

With each crime and every kindness we birth our future.

ID: 1365878 · Report as offensive
Wedge009
Volunteer tester
Avatar

Send message
Joined: 3 Apr 99
Posts: 448
Credit: 241,595,910
RAC: 97,505
Australia
Message 1365879 - Posted: 8 May 2013, 22:37:05 UTC
Last modified: 8 May 2013, 22:39:58 UTC

I don't understand why I always get questioned on this point. The core DLLs that BOINC uses - ATI CAL and AMD Open CL - are 11.7, which is based on SDK 2.5. So it's not luck, I had to go through lots of experimentation to reach this point and this set-up has been running for several months, if not years. It's not too different from what I've seen suggested in the work-around for Catalyst 13.1 on Windows 7: install the newer display driver, but use an older Open CL installation to work-around the buggy compiler.


Soli Deo Gloria

ID: 1365879 · Report as offensive
Profile Mike
Volunteer tester
Avatar

Send message
Joined: 17 Feb 01
Posts: 29568
Credit: 49,043,699
RAC: 16,695
Germany
Message 1365881 - Posted: 8 May 2013, 22:38:58 UTC - in response to Message 1365879.
Last modified: 8 May 2013, 22:40:13 UTC

I don't understand why I always get questioned on this point. The core DLLs that BOINC uses - ATI CAL and AMD Open CL - are 11.7, which is based on SDK 2.5. So it's not luck, I had to go through lots of experimentation to reach this point and this set-up has been running for several months, if not years.


Now i see.

Sorry.

Its getting late here.
With each crime and every kindness we birth our future.

ID: 1365881 · Report as offensive
TBar
Volunteer tester

Send message
Joined: 22 May 99
Posts: 3060
Credit: 122,276,579
RAC: 91,019
United States
Message 1365884 - Posted: 8 May 2013, 22:45:39 UTC - in response to Message 1365879.

I don't understand why I always get questioned on this point. The core DLLs that BOINC uses - ATI CAL and AMD Open CL - are 11.7, which is based on SDK 2.5. So it's not luck, I had to go through lots of experimentation to reach this point and this set-up has been running for several months, if not years. It's not too different from what I've seen suggested in the work-around for Catalyst 13.1 on Windows 7: install the newer display driver, but use an older Open CL installation to work-around the buggy compiler.

Actually, AstroPulse r1812 requires SDK 2.6. So, you are still lacking...

Are there any limitations on these Apps?

They built with SDK 2.6 so drivers that 2.6 supports and up required. The single known exclusion is Cat 13.1 that not compatible. Its compiler produces garbage code and no workaroud found so far.

ID: 1365884 · Report as offensive
Wedge009
Volunteer tester
Avatar

Send message
Joined: 3 Apr 99
Posts: 448
Credit: 241,595,910
RAC: 97,505
Australia
Message 1365887 - Posted: 8 May 2013, 22:59:14 UTC
Last modified: 8 May 2013, 22:59:57 UTC

Ah, could that be why? Maybe I'll have to roll-back, then. Was there a particular version that switched to SDK 2.6 requirement?

Still, I would have thought that if 2.6 was required then none of the WUs would be processed...


Soli Deo Gloria

ID: 1365887 · Report as offensive
1 · 2 · Next

Message boards : Number crunching : Astropluse - ATI Open CL - everyone results in computation error.


 
©2016 University of California
 
SETI@home and Astropulse are funded by grants from the National Science Foundation, NASA, and donations from SETI@home volunteers. AstroPulse is funded in part by the NSF through grant AST-0307956.